textures/1uppro/puddlesplash
{
	surfaceparm water
     surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
}

textures/1uppro/mabcrete
{
    qer_editorimage textures/1uppro/mabcrete.tga
    {
        map textures/1uppro/mabcrete.tga        		
        tcMod turb 0 0.1 1 0.1
        tcMod scale 0.5 0.5	
}
{
        map textures/1uppro/puddle2.tga      
tcgen lightmap
blendfunc gl_one gl_one_dst_alpha    
rgbGen const ( 0.1 0.1 0.1 )        
    }
    {
        map textures/liquids/pool3d_5e.tga
        blendfunc add
	rgbGen const ( 0.10 0.10 0.10 )
		tcMod turb 0 0.1 0 0.1
		tcMod scroll 0.01 0.02   
}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/1uppro/underwater_surface
{ 	
     surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans  
cull disable
fogparms ( 0.0862745 0.411765 0.505882 ) 15000
{
        map textures/1uppro/puddle2.tga
        blendfunc gl_one gl_one_dst_alpha
rgbGen const ( 0.247059 0.247059 0.247059 )        
tcMod turb 0 0.05 0 0.05
    }
    {
        map textures/1uppro/puddle2.tga      
tcgen environment
blendfunc gl_one gl_one_dst_alpha
rgbGen const ( 0.1 0.1 0.1 )        
    }
    {
        map textures/liquids/pool3d_5e.tga
        blendfunc add
	rgbGen const ( 0.1 0.1 0.1 )
		tcMod turb 0 0.1 0 0.1
		tcMod scroll 0.01 0.02   
}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/1uppro/reflective_water
{
surfaceparm water 	
surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans  
portal 
{
        map textures/1uppro/camera_clear.tga
        blendFunc gl_src_alpha gl_one_minus_src_alpha      
depthWrite
    }   
{
        map textures/1uppro/puddle2.tga
        blendfunc gl_one gl_one_dst_alpha
        alphagen portal 256
rgbGen const ( 0.247059 0.247059 0.247059 )        
tcMod turb 0 0.05 0 0.05
    }
    {
        map textures/1uppro/puddle2.tga      
tcgen environment
blendfunc gl_one gl_one_dst_alpha
        alphagen portal 256
rgbGen const ( 0.1 0.1 0.1 )        
    }
    {
        map textures/liquids/pool3d_5e.tga
        blendfunc add
        alphagen portal 256
	rgbGen const ( 0.164706 0.164706 0.164706 )
		tcMod turb 0 0.05 0 0.05
		tcMod scroll 0.01 0.02   
}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/1uppro/puddle
{
    qer_editorimage textures/1uppro/puddle.tga
    portal
    {
        map textures/1uppro/camera_clear.tga
        blendFunc gl_src_alpha gl_one_minus_src_alpha
        depthWrite
    }
    {
        map textures/1uppro/mabcrete.tga        
           blendfunc add
           alphagen portal 256
rgbGen const ( 0.164706 0.164706 0.164706 )		
tcMod turb 0 0.03 2 0.05
		tcMod scale 0.5 0.5
		
}    
{
        map textures/1uppro/puddle2.tga
        blendfunc gl_one gl_one_dst_alpha
        alphagen portal 256
rgbGen const ( 0.247059 0.247059 0.247059 )        
tcMod turb 0 0.05 0 0.05
    }
    {
        map textures/1uppro/puddle2.tga      
tcgen environment
blendfunc gl_one gl_one_dst_alpha
        alphagen portal 256
rgbGen const ( 0.1 0.1 0.1 )        
    }
    {
        map textures/liquids/pool3d_5e.tga
        blendfunc add
        alphagen portal 256
	rgbGen const ( 0.164706 0.164706 0.164706 )
		tcMod turb 0 0.05 0 0.05
		tcMod scroll 0.01 0.02   
}

    {
        map textures/1uppro/puddle.tga
        alphaFunc GE128   
}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/1uppro/qer_camera_screen
{
    qer_editorimage textures/1uppro/qer_camera_screen.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/1uppro/camera_clear.tga
        blendFunc gl_src_alpha gl_one_minus_src_alpha
        depthWrite
    }
    {
        map textures/1uppro/camerastatic.tga
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        alphagen portal 256
        rgbGen wave sin 0 0.2 0.1 1
        tcmod scroll 0 .8
    }
}

textures/1uppro/core1
{
	qer_editorimage textures/1uppro/core2.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	cull back
	q3map_surfacelight 5000
	{
		map textures/1uppro/blue.tga
		blendfunc add
		rgbGen wave sin 0.1 0.5 0 0.4 
	}
	{
		map textures/1uppro/core2.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 0 0.1
	}
}

textures/1uppro/shields
{
	surfaceparm nolightmap
	cull disable
	{
		map textures/1uppro/shields.tga
		blendfunc add
		tcMod turb 0 0.25 0 0.5
		tcMod scroll 1 1
		tcGen environment 
	}
}

textures/1uppro/disabled
{
	qer_editorimage textures/1uppro/disabled.tga
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/1uppro/disabled.tga
		rgbGen identity
		tcMod scroll 0 0.1
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/1uppro/nuke
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	{
		map textures/1uppro/nuke.tga
		blendfunc add
		tcMod turb 0 0.25 0 0.5
		tcMod scroll 0 1
		tcGen environment 
	}
}

textures/1uppro/nuke2
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/1uppro/nuke2.tga
		blendfunc add
		tcMod turb 0 0.25 0 0.5
		tcMod scroll 0 1
		tcGen environment 
	}
}

textures/1uppro/smoke
{
	qer_editorimage textures/1uppro/smoke.tga
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/1uppro/smoke.tga
		blendfunc add
		rgbGen identity
		tcMod rotate 40
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/1upfun/hill_icon
{
	qer_editorimage textures/1upfun/hill_icon.tga
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	deformVertexes autosprite
	qer_trans 0.5
	{
		map textures/1upfun/hill_icon.tga
		blendfunc add
		tcMod stretch sin 1 0.1 2 0.8 
		alphaFunc GE128
	}
}

